## Lingo

A word guessing game based on the [game show](https://en.wikipedia.org/wiki/Lingo_(American_game_show)).

#### Browser client

- Practice: https://lingo.charego.com/practice.html
- Competitive: https://lingo.charego.com

#### JavaFX client

- Requirements: Java 11, Maven 3
- Build: `mvn clean install`
- Start client: `mvn -f client javafx:run`

#### Running locally

- Build: `mvn clean install`
- Start server
  * Default port (8080): `java -jar server/target/lingo-server.jar`
  * Custom port: `java -jar server/target/lingo-server.jar --server.port=<port>`
- Start client
  * Browser: `open http://localhost:<port>`
  * JavaFX: `mvn -f client javafx:run -Dlingo-url=http://localhost:<port>`
